Download it now!
Bug 69646 - FILESAVE: DOCX Export of table with auto-width and at least one column with auto-width is wrong
Summary: FILESAVE: DOCX Export of table with auto-width and at least one column with a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Sushil Shinde
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 14:51 UTC by Adam CloudOn
Modified: 2014-05-17 20:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing a table with auto-width and at least one column with auto-width (18.50 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 14:51 UTC, Adam CloudOn
Details
DOCX exported by LO with table that spans the entire page's width (5.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 14:51 UTC, Adam CloudOn
Details
Screenshot comparison between original DOCX and exported DOCX (47.43 KB, image/png)
2013-09-21 14:52 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-09-21 14:51:10 UTC
Created attachment 86251 [details]
DOCX containing a table with auto-width and at least one column with auto-width

Problem description: 
When loading the attached DOCX into LO, and saving it back to DOCX - the table width spans the page, instead of staying in the original width like in the original DOCX.

Note!
This is a special case where the table's width is set to 'Auto' and also there is at least one column in the table that has it's width set to 'Auto'.

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Load NEW.DOCX in Word
4. Table width is wrong

Current behavior:
LO exports the table with a width of all the page

Expected behavior:
LO exports the table with a width of 'Auto' and keep that 'auto-width' column also.
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Adam CloudOn 2013-09-21 14:51:44 UTC
Created attachment 86252 [details]
DOCX exported by LO with table that spans the entire page's width
Comment 2 Adam CloudOn 2013-09-21 14:52:16 UTC
Created attachment 86253 [details]
Screenshot comparison between original DOCX and exported DOCX
Comment 3 Thomas van der Meulen 2013-09-29 07:07:50 UTC
Thank you for your bug report,
I can reproduce this bug running LibreOffice: 
Version: 4.2.0.0.alpha0+
Build ID: 164b6ce7b27c0a9ec19019e7b078b9f8f382007d
TinderBox: Win-x86@39, Branch:master, Time: 2013-09-28_16:39:4
And Mircosoft Word 2007
Comment 4 Commit Notification 2014-02-13 09:50:56 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18044a60957e21222f642b41b03ca1f28716a6d7

fdo#69646 Export of table with auto-width, at least one column with auto-width



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jorendc 2014-05-17 20:36:29 UTC
Looks fixed to me, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Document opened using Word 2013.

Kind regards,
Joren